#####################################################################
# MANDATORY USER SETTINGS                                           #
#                                                                   #
# PLEASE FILL OUT PLACEHOLDERS !                                     #
#####################################################################

# To create credentials for sender and subscriber please have a look at:
#
#  Account registration: https://docs.fitko.de/fit-connect/docs/getting-started/get-started
#  Creating a subscriber: https://docs.fitko.de/fit-connect/docs/receiving/destination
#  Self-Service-Portal (Test-Env): https://portal.auth-testing.fit-connect.fitko.dev/login

# OAuth-credentials for a sender
senderConfig:
  clientId: "SenderClientID"
  clientSecret: "SenderSecret"

# OAuth-credentials for a subscriber
subscriberConfig:
  clientId: "SubscriberClientID"
  clientSecret: "SubscriberSecret"

  # Paths that references the available private decryption keys.
  # This property is an array since there might be multiple destinations
  # with different decryption keys assigned to the subscriber client
  privateDecryptionKeyPaths: ["path/to/decryption_key.json"]

  # Path that references the signing key file that signs SET-Events
  privateSigningKeyPath: "path/to/signing_key.json"

# Name of the currently used environment (from environments config below)
# Options are PROD | STAGE | TEST
# also see https://docs.fitko.de/fit-connect/docs/getting-started/environments#betriebsumgebungen
activeEnvironment: TEST

# Existing Environments can be overwritten as well as new custom environments can be added as seen below:
#
# name: -- identifier that is referenced in 'activeEnvironment'

#    authBaseUrl: "URL" -- base URL for OAuth requests
#    routingBaseUrl: "URL" -- base URL for routing and area search requests
#    submissionBaseUrl: "URL" -- base URL for submission/destination requests
#    selfServicePortalBaseUrl: "URL" -- base URL for portal/public key requests

#    enableAutoReject: true | false -- automatically reject submission on receive if a validation failed
#    allowInsecurePublicKey: true | false -- allow insecure public keys that failed a validation for e.g. testing purposes
#    skipSubmissionDataValidation: true | false -- allow data validation against a given schema to be switched on/off
#
# also see: https://docs.fitko.de/fit-connect/docs/apis/submission-api


#####################################################################
# OPTIONAL SETTINGS                                                 #
#                                                                   #
# Can be used if needed by uncommenting the shown properties        #
#####################################################################

# submissionDataSchemas:
# mapping of URIs -> schemas a new submission data will be validated with
#   "https://schema.fitko.de/fim/json_schema.json": "C:/fit-connect/schemas/test_schema.json"
#   "https://schema.fitko.de/fim/xml_schema.xml": "C:/fit-connect/schemas/test_schema.xml"
#   "urn:de:fitko:test:schema": "C:/fit-connect/schemas/urn_schema.json"

# proxyConfig:
#   httpProxyHost: "https//:proxy.your-service.domain"
#   httpProxyPort: 8080
#   requestTimeoutInSeconds: 30